Package org.apache.cayenne.access.sqlbuilder

# Class ValueNodeBuilder

java.lang.Object
org.apache.cayenne.access.sqlbuilder.ValueNodeBuilder

All Implemented Interfaces:
  `NodeBuilder`

public class ValueNodeBuilder extends Object implements NodeBuilder

Since:
  4.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValueNodeBuilder`
  `array(boolean isArray)`
  `ValueNodeBuilder`
  `attribute(DbAttribute attribute)`
  `Node`
  `build()`
  `default ExpressionNodeBuilder`
  `div(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `eq(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `gt(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `gte(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `lt(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `lte(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `minus(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `mul(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `plus(NodeBuilder nodeBuilder)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### attribute

    public ValueNodeBuilder attribute(DbAttribute attribute)

  - ### array

    public ValueNodeBuilder array(boolean isArray)

  - ### build

    public Node build()
    Specified by:
      `build` in interface `NodeBuilder`

  - ### lt

    default ExpressionNodeBuilder lt(NodeBuilder operand)

  - ### gt

    default ExpressionNodeBuilder gt(NodeBuilder operand)

  - ### lte

    default ExpressionNodeBuilder lte(NodeBuilder operand)

  - ### gte

    default ExpressionNodeBuilder gte(NodeBuilder operand)

  - ### eq

    default ExpressionNodeBuilder eq(NodeBuilder nodeBuilder)

  - ### plus

    default ExpressionNodeBuilder plus(NodeBuilder nodeBuilder)

  - ### minus

    default ExpressionNodeBuilder minus(NodeBuilder nodeBuilder)

  - ### mul

    default ExpressionNodeBuilder mul(NodeBuilder nodeBuilder)

  - ### div

    default ExpressionNodeBuilder div(NodeBuilder nodeBuilder)